Kerbal Space Program - Bug #20741

R&D Parts upgrade
12/22/2018 02:34 AM - richie549

Status: Closed Start date: 12/22/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.6.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

R&D does not upgrade parts to the new versions. Switching from 1.3.1 to 1.6.

Opened a craft from version 1.3.1. Notified Stack Separator TR18D not available. Attempted to upgrade to new skins? Entered

R&D.

Attempting to upgrade all parts.

Purchased the parts in R&D (Right to Left/newest to oldest).
Left R&D.

The part is not available in VAB.

Repeat a few times.

Parts are duplicated in R&D.

Switching back to 1.3.1

History

#1 - 12/23/2018 12:20 AM - richie549
- File 049 Sun Comsat v1.craft added

- File persistent.sfs added

#2 - 10/28/2019 04:05 PM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10

Issue no longer occurs

#3 - 10/28/2019 04:05 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#4 - 10/28/2019 06:17 PM - chris.fulton

- Status changed from Resolved to Closed

Files

KSP R+D Parts Upgrade 1.png 257 KB 12/22/2018 richie549
KSP R+D Parts Upgrade 2.png 662 KB 12/22/2018 richie549
049 Sun Comsat v1.craft 114 KB 12/23/2018 richie549
persistent.sfs 4.03 MB 12/23/2018 richie549
